Bug 1718920 - OSP15 | conf files for default collectd plugins are missing in collectd container. Therefore those plugins are not loaded.
Summary: OSP15 | conf files for default collectd plugins are missing in collectd conta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: 15.0 (Stein)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 14:33 UTC by Leonid Natapov
Modified: 2019-09-26 10:52 UTC (History)
12 users (show)

Fixed In Version: puppet-tripleo-10.4.2-0.20190623230404.53b3156.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:23:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 665474 0 'None' 'MERGED' 'Quote the hiera dot notation' 2019-11-24 13:30:28 UTC
OpenStack gerrit 665956 0 'None' 'MERGED' 'Quote the hiera dot notation' 2019-11-24 13:30:28 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:23:23 UTC

Description Leonid Natapov 2019-06-10 14:33:02 UTC

Comment 1 Leonid Natapov 2019-06-10 14:36:47 UTC
OSP15 | conf files for default collectd plugins are missing in collectd container. Therefore those plugins are not loaded.

drwxr-x---. 2 root root  77 Jun 10 11:52 .
drwxr-xr-x. 1 root root  45 Jun 10 11:52 ..
-rw-r-----. 1 root root 197 Jun 10 11:35 05-logfile.conf
-rw-r-----. 1 root root  73 Jun 10 11:35 10-python.conf
-rw-r-----. 1 root root 578 Jun 10 11:35 python-config.conf

Comment 4 Matthias Runge 2019-06-11 12:33:51 UTC
it looks like puppet-collectd is not being executed anymore.

Comment 5 Matthias Runge 2019-06-24 12:30:04 UTC
This was merged into stein with git hash c1428dd2b2239bbfc4b879d6ccf31f6f3a7cc163 on June 21st.

Comment 6 Leonid Natapov 2019-06-26 12:07:43 UTC
[2019-06-26 10:48:59] plugin_load: plugin "cpu" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "disk" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "interface" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "load" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "memcached" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "memory" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "processes" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "python" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "tcpconns" successfully loaded.
[2019-06-26 10:48:59] plugin_load: plugin "unixsock" successfully loaded.

Comment 14 errata-xmlrpc 2019-09-21 11:23:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.